> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve Get Contractor Invoice Details

> Returns the contractor's own invoice with display line items, bill-to/bill-from parties and signed attachment URLs.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/self-serve-get-contractor-invoice-details
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-get-contractor-invoice-details:
    get:
      operationId: selfServeGetContractorInvoiceDetails
      summary: Self Serve Get Contractor Invoice Details
      description: >-
        Returns the contractor's own invoice with display line items,
        bill-to/bill-from parties and signed attachment URLs.


        Not available to API keys.
      parameters:
        - name: invoiceID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SelfServeGetContractorInvoiceDetailsResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SelfServeGetContractorInvoiceDetailsResponse:
      type: object
      properties:
        invoicePaymentID:
          type: string
        invoiceNumber:
          type:
            - string
            - 'null'
        invoiceDate:
          type:
            - string
            - 'null'
        dueDate:
          type:
            - string
            - 'null'
        submittedAt:
          type:
            - string
            - 'null'
        approvedAt:
          type:
            - string
            - 'null'
        payDate:
          type:
            - string
            - 'null'
        approvalDeadline:
          type:
            - string
            - 'null'
        waitingOnApprover:
          type:
            - string
            - 'null'
        totalAmount:
          type:
            - number
            - 'null'
        currencyCode:
          type:
            - string
            - 'null'
        status:
          type:
            - string
            - 'null'
        rejectionReason:
          type:
            - string
            - 'null'
        lineItems:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              invoicePaymentLineItemID:
                type:
                  - string
                  - 'null'
              description:
                type:
                  - string
                  - 'null'
              quantity:
                type:
                  - number
                  - 'null'
              unitPrice:
                type:
                  - number
                  - 'null'
              amount:
                type:
                  - number
                  - 'null'
              taxAmount:
                type:
                  - number
                  - 'null'
              discountAmount:
                type:
                  - number
                  - 'null'
              total:
                type:
                  - number
                  - 'null'
              category:
                type:
                  - string
                  - 'null'
              paymentMethodType:
                type:
                  - string
                  - 'null'
                enum:
                  - BANK_TRANSFER
                  - CRYPTO_WALLET
                  - null
              hrisBankAccountID:
                type:
                  - string
                  - 'null'
              cryptoCurrency:
                type:
                  - string
                  - 'null'
              cryptoNetwork:
                type:
                  - string
                  - 'null'
              merchant:
                type:
                  - string
                  - 'null'
              spentAmount:
                type:
                  - string
                  - 'null'
              spentCurrencyCode:
                type:
                  - string
                  - 'null'
              fxRate:
                type:
                  - string
                  - 'null'
              expensedDate:
                type:
                  - string
                  - 'null'
        lineItemExactAmounts:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              quantity:
                type: string
              unitPrice:
                type: string
            required:
              - quantity
              - unitPrice
        groupedTotals:
          type:
            - object
            - 'null'
          properties:
            bankTotals:
              type:
                - array
                - 'null'
              items:
                type: object
                properties:
                  currencyCode:
                    type:
                      - string
                      - 'null'
                  total:
                    type:
                      - string
                      - 'null'
            cryptoTotals:
              type:
                - array
                - 'null'
              items:
                type: object
                properties:
                  tokenSymbol:
                    type:
                      - string
                      - 'null'
                  networkName:
                    type:
                      - string
                      - 'null'
                  total:
                    type:
                      - string
                      - 'null'
        notes:
          type:
            - string
            - 'null'
        attachments:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              id:
                type:
                  - string
                  - 'null'
              fileName:
                type:
                  - string
                  - 'null'
              fileKey:
                type:
                  - string
                  - 'null'
              fileSize:
                type:
                  - number
                  - 'null'
              mimeType:
                type:
                  - string
                  - 'null'
              uploadedAt:
                type:
                  - string
                  - 'null'
              downloadUrl:
                type:
                  - string
                  - 'null'
        billToName:
          type:
            - string
            - 'null'
        billToAddressLines:
          type:
            - array
            - 'null'
          items:
            type: string
        showTokuBranding:
          type:
            - boolean
            - 'null'
        billFrom:
          type:
            - object
            - 'null'
          properties:
            name:
              type:
                - string
                - 'null'
            addressLines:
              type:
                - array
                - 'null'
              items:
                type: string
            taxId:
              type:
                - string
                - 'null'
            email:
              type:
                - string
                - 'null'
            phone:
              type:
                - string
                - 'null'
        isLegacyInvoice:
          type:
            - boolean
            - 'null'
      required:
        - invoicePaymentID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
